2023-10-03 01:28:34 UTC
253 MB
/usr/java/openjdk-22
JAVA_VERSION22-ea+17
LANGC.UTF-8
PATH/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:5262579e8e45cb87fdc8fb6182d30da3c9e4f1036e02223508f287899ea434c0 - 16.96% (42.9 MB)
[#001] sha256:0eab4e2287a59db00ae2d401e107a120e21ac3a291b097faffb1af38a1bc773c - 5.67% (14.3 MB)
[#002] sha256:1f7e4994e1d4b81a4a34fc9b26ddf652e560c70d4777a60bc1853d4e4e011869 - 77.37% (196 MB)
/bin/sh -c #(nop) ADD file:909c07f3bad92a80d3917d583769a01bf62c2cbf3dd24f450fb303b1db92a83e in /
2023-09-21 23:24:02 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-09-21 23:55:47 UTC/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all
2023-09-21 23:55:47 UTC/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-22
2023-09-21 23:55:47 UTC/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-09-21 23:55:47 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2023-10-03 01:28:22 UTC/bin/sh -c #(nop) ENV JAVA_VERSION=22-ea+17
2023-10-03 01:28:34 UTC/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk22/17/GPL/openjdk-22-ea+17_linux-x64_bin.tar.gz'; downloadSha256='2e079b8de8557b2bfdf2c548f69cf0c8ed9a94e7a0460dfebbebb4bf936dea8b'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk22/17/GPL/openjdk-22-ea+17_linux-aarch64_bin.tar.gz'; downloadSha256='a5b70d1b43017fc00355d38e8f5c5f96d161033968968f76777189ffff3b5ff0'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version
2023-10-03 01:28:34 UTC/bin/sh -c #(nop) CMD ["jshell"]
2023-10-03 01:32:32 UTC
1.9 GB
C:\openjdk-22
JAVA_SHA25674da8d5884f315e4443456f215e71219b4208fa9a970ac75bb49ebc0331867f7
JAVA_URLhttps://download.java.net/java/early_access/jdk22/17/GPL/openjdk-22-ea+17_windows-x64_bin.zip
JAVA_VERSION22-ea+17
[#000] sha256:7c76e5cf7755ce357ffb737715b0da6799a50ea468cc252c094f4d915d426b3f - 68.15% (1.29 GB)
[#001] sha256:feca8e06011ab171ad74cda49c7c305e791965aef283d5b7c2b987dd5388e6c7 - 22.02% (428 MB)
[#002] sha256:92f40969dbf1e035a6c49e7c40b216960e3ee98ec3b76f76f9fe4498d0110bee - 0.0% (1.28 KB)
[#003] sha256:a8b411249ef1c74d6763984f0b9b085ac311c6e49aba35a7dbbc1d42264a11ba - 0.02% (452 KB)
[#004] sha256:14d5d90c5ae40ed0401706ba6915059213a0cc520cc862f8fdbff4e582cbc835 - 0.0% (1.38 KB)
[#005] sha256:4b84e7bb658094bff788d92f8ca930570e83805ce31d072d4c675acbef78b62b - 0.01% (268 KB)
[#006] sha256:b39267ac3ccc09ba6dcd24a7ce2cfe615f21f9ef52636b2ab0c61a575284a8fe - 0.0% (1.38 KB)
[#007] sha256:05b729afeb9b91af7d2477ffffa02e12349e08b349f1bb94dc0eaf63207d2f67 - 0.0% (1.38 KB)
[#008] sha256:2e2c62eb1754b73ceccd7163c122827de1bbda67d8ea50b3d91c515b8fc79492 - 0.0% (1.37 KB)
[#009] sha256:8bc576c822ab145244d874f75bee3e76fb643a7b107fd6f2ce890fe68b3c8c03 - 9.79% (190 MB)
[#010] sha256:e4cf0c1ac44e11df79c19b82815466e7e71f87439c066889591b46ebec31e7b7 - 0.0% (1.38 KB)
Apply image 10.0.20348.1787
2023-09-01 00:43:48 UTCInstall update 10.0.20348.1970
2023-09-13 01:35:30 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2023-09-13 05:14:15 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2023-09-13 05:14:16 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-22
2023-09-13 05:14:36 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2023-10-03 01:31:35 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=22-ea+17
2023-10-03 01:31:35 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk22/17/GPL/openjdk-22-ea+17_windows-x64_bin.zip
2023-10-03 01:31:36 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=74da8d5884f315e4443456f215e71219b4208fa9a970ac75bb49ebc0331867f7
2023-10-03 01:32:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2023-10-03 01:32:32 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2023-10-03 01:34:30 UTC
2.06 GB
C:\openjdk-22
JAVA_SHA25674da8d5884f315e4443456f215e71219b4208fa9a970ac75bb49ebc0331867f7
JAVA_URLhttps://download.java.net/java/early_access/jdk22/17/GPL/openjdk-22-ea+17_windows-x64_bin.zip
JAVA_VERSION22-ea+17
[#000] sha256:c9226d61d3bdbf9f09821b32f5878623b8daaa5fb4f875cb63c199f87a26d57e - 74.47% (1.54 GB)
[#001] sha256:179757339e051b99f9a62375fed8f87ffcc4df0eeedb984d20b485bdd089ad08 - 16.5% (349 MB)
[#002] sha256:cdc14cbf6230cebb55cabf885ef8606e63f571dd05f37d899d95bca34972a44a - 0.0% (1.39 KB)
[#003] sha256:da151b70a7f82a6d6963a3317229ba06177114b9d44cd362e90207d42aa4d828 - 0.01% (249 KB)
[#004] sha256:52f8ba7984984551020a40f5b8881b3c1fb035e9785ba3bdbae07f7c770a4f6d - 0.0% (1.38 KB)
[#005] sha256:66e0c6f3841f682fcfe5bcc0fb248fac7844337b14dd92db7132434ac8133685 - 0.01% (212 KB)
[#006] sha256:75ba225834bd9a70d5a70c98ed7d7190a182e254002b1804cb5e80bfe48873a7 - 0.0% (1.37 KB)
[#007] sha256:2b5f4ce1434857eda3a06bebf7984b6edeb6fb07e9449c90419265e9e093ff27 - 0.0% (1.39 KB)
[#008] sha256:6133487700b45f5becac2b16107ec33d4aaa16bf42a2bcee3ba955a8fccb0080 - 0.0% (1.41 KB)
[#009] sha256:af340185b4ece7e9cb5f04c2bb1d67d653fc010012ad65a721cb3d15e00897ef - 9.0% (190 MB)
[#010] sha256:d1e33cdfea661d27602ed12adaa329d3243c4ce140634c82a23736e32d8b0560 - 0.0% (1.39 KB)
Apply image 10.0.17763.4499
2023-08-29 17:09:18 UTCInstall update 10.0.17763.4851
2023-09-13 01:39:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2023-09-13 05:16:37 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2023-09-13 05:16:38 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-22
2023-09-13 05:17:33 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2023-10-03 01:32:48 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=22-ea+17
2023-10-03 01:32:49 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk22/17/GPL/openjdk-22-ea+17_windows-x64_bin.zip
2023-10-03 01:32:49 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=74da8d5884f315e4443456f215e71219b4208fa9a970ac75bb49ebc0331867f7
2023-10-03 01:34:29 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2023-10-03 01:34:30 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2023-10-03 01:33:01 UTC
251 MB
/usr/java/openjdk-22
JAVA_VERSION22-ea+17
LANGC.UTF-8
PATH/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:286c1c922769d7608c32cf62931e95d7d169a0306164d24ce7d7a8a065959315 - 16.62% (41.6 MB)
[#001] sha256:da5f8d4b6eb464428f46a11bf9639aada6dca4156bdef2cbe73cb3f2d805f96c - 5.97% (15 MB)
[#002] sha256:e4d345319f6887e24146618b7509916cbf21808ff05179fb00604e9c1ca595f5 - 77.41% (194 MB)
/bin/sh -c #(nop) ADD file:c630310324edbc0dd09d0912b8e7074d17ac71b1be8a14af9663872c081c4632 in /
2023-09-21 23:40:46 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-09-22 00:02:00 UTC/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all
2023-09-22 00:02:00 UTC/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-22
2023-09-22 00:02:00 UTC/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-09-22 00:02:00 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2023-10-03 01:32:45 UTC/bin/sh -c #(nop) ENV JAVA_VERSION=22-ea+17
2023-10-03 01:32:59 UTC/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk22/17/GPL/openjdk-22-ea+17_linux-x64_bin.tar.gz'; downloadSha256='2e079b8de8557b2bfdf2c548f69cf0c8ed9a94e7a0460dfebbebb4bf936dea8b'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk22/17/GPL/openjdk-22-ea+17_linux-aarch64_bin.tar.gz'; downloadSha256='a5b70d1b43017fc00355d38e8f5c5f96d161033968968f76777189ffff3b5ff0'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version
2023-10-03 01:33:01 UTC/bin/sh -c #(nop) CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.